<?xml version="1.0" encoding="utf-8"?>

<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
	android:layout_width="match_parent"
	android:layout_height="match_parent"
	xmlns:tools="http://schemas.android.com/tools"
	android:orientation="vertical"
	android:weightSum="1">

	<LinearLayout style="@style/PrestoControlsRow">

		<TextView
			android:id="@id/presto_current_time"
			style="@style/PrestoTimeTextView"/>

		<SeekBar
			android:id="@id/presto_seek_bar"
			tools:progress="500"
			tools:secondaryProgress="700"
			style="@style/PrestoSeekBar"/>

		<TextView
			android:id="@id/presto_total_time"
			style="@style/PrestoTimeTextView"/>

	</LinearLayout>

	<LinearLayout style="@style/PrestoControlsRow">

		<Space style="@style/PrestoGrowingSpace"/>

		<ImageButton
			android:id="@id/presto_rewind_button"
			style="@style/PrestoControlsButton.Rewind"/>

		<ImageButton
			android:id="@id/presto_skip_back_button"
			style="@style/PrestoControlsButton.SkipBack"/>

		<ImageButton
			android:id="@id/presto_play_pause_button"
			style="@style/PrestoControlsButton.PlayPause.Big">
			<requestFocus/>
		</ImageButton>


		<ImageButton
			android:id="@id/presto_skip_forward_button"
			style="@style/PrestoControlsButton.SkipForward"/>

		<ImageButton
			android:id="@id/presto_fastforward_button"
			style="@style/PrestoControlsButton.FastForward"/>

		<Space style="@style/PrestoGrowingSpace"/>

	</LinearLayout>

	<LinearLayout style="@style/PrestoControlsRow">

		<TextView
			android:id="@id/presto_playback_speed_text"
			style="@style/PrestoPlaybackSpeedText" />

		<Space style="@style/PrestoGrowingSpace"/>

		<ImageButton
			android:id="@id/presto_select_scale_button"
			style="@style/PrestoControlsButton.SelectCrop"/>

		<ImageButton
			android:id="@id/presto_select_audio_button"
			style="@style/PrestoControlsButton.SelectAudio"/>

		<ImageButton
			android:id="@id/presto_select_subtitle_button"
			style="@style/PrestoControlsButton.SelectSubtitle"/>

		<ImageButton
			android:id="@id/presto_select_video_button"
			style="@style/PrestoControlsButton.SelectVideo"/>

		<androidx.mediarouter.app.MediaRouteButton
			android:id="@+id/media_route_button"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:mediaRouteTypes="user" />

		<Space style="@style/PrestoGrowingSpace"/>

		<!-- This is the counterparts for the speed text field to ensure everything is centered-->
		<TextView style="@style/PrestoPlaybackSpeedText" />



	</LinearLayout>

</LinearLayout>
